Bug 850698 - kdm: Improve user permissions to reboot/poweroff machine
kdm: Improve user permissions to reboot/poweroff machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 03:37 EDT by Germano Massullo
Modified: 2015-07-13 13:35 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:24:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2012-08-22 03:37:56 EDT
Description of problem:
I would like to suggest an improvement about user permissions to poweroff the computer. When you go to KDE settings to set user permissions, you only have such options: "Nobody" "Root" "Everyone". On a computer with multiple users, it would be nice that some users are able to reboot the computer, and some users no. 
This will prevent unauthorized users or newbie users to reboot the machine while other users have their sessions opened.

Version-Release number of selected component (if applicable):
KDE 4.8.5

Steps to Reproduce:
1. Go to KDE system settings, Login
2. Halting (or poweroff, don't know which one is present in English version)
3. See user permissions
Comment 1 Kevin Kofler 2012-08-23 16:02:33 EDT
FWIW, if we were using the systemd API directly to reboot (as we're now doing it for GDM systems), rather than going through KDM (which always runs as root and uses its own permission system), this would be configurable through PolicyKit. OTOH, the UI in System Settings would then have no effect anymore, and there's still no UI for PolicyKit configuration packaged in Fedora. (There is one at git.kde.org, which may or may not work properly, it is not packaged in Fedora yet.)
Comment 2 Kevin Kofler 2012-08-23 16:04:42 EDT
(And of course, if we were to make this change, the users could still reboot the system from the KDM greeter, unless you also set the KDM setting to "root only" in addition to setting the PolicyKit permissions. So I'm not convinced it would lead to a great user experience.)
Comment 3 Fedora End Of Life 2013-07-03 20:04:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:24:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.